Public Class RemovingItemEventArgs
    Inherits EventArgs
    Public Sub New()
    End Sub
    Public Sub New(ByVal cancel As Boolean, ByVal item As Object)
        Me.Cancel = cancel
        Me.Item = item
    End Sub

    Private privateCancel As Boolean
    Public Property Cancel() As Boolean
        Get
            Return privateCancel
        End Get
        Set(ByVal value As Boolean)
            privateCancel = value
        End Set
    End Property
    Private privateItem As Object
    Public Property Item() As Object
        Get
            Return privateItem
        End Get
        Set(ByVal value As Object)
            privateItem = value
        End Set
    End Property
End Class
